Skip to main content
GET
/
v1
/
banking
/
internal-transfers
List internal transfers for authenticated company
curl --request GET \
  --url https://api-sandbox.rinne.com.br/core/v1/banking/internal-transfers \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api-sandbox.rinne.com.br/core/v1/banking/internal-transfers"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api-sandbox.rinne.com.br/core/v1/banking/internal-transfers', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "request_id": "req_123456789",
      "external_request_id": "123e4567-e89b-12d3-a456-426614174000",
      "company_id": "123e4567-e89b-12d3-a456-426614174000",
      "origin_bank_account_id": "123e4567-e89b-12d3-a456-426614174000",
      "destination_bank_account_id": "123e4567-e89b-12d3-a456-426614174001",
      "amount": 10000,
      "status": "PENDING",
      "provider_transfer_id": "provider_tx_123456",
      "error_message": "Insufficient funds",
      "created_at": "2023-01-01T00:00:00.000Z",
      "updated_at": "2023-01-01T00:00:00.000Z",
      "metadata": {
        "custom_field": "value",
        "transfer_reason": "settlement"
      }
    }
  ],
  "pagination": {
    "page": 1,
    "limit": 20,
    "total": 50,
    "totalPages": 3,
    "hasNext": true,
    "hasPrev": false
  }
}
{
  "error": {
    "code": "VALIDATION_ERROR",
    "message": "Validation error",
    "status": 400,
    "details": {
      "issues": [
        {
          "field": "email",
          "type": "REQUIRED",
          "message": "Field 'email' is required",
          "value": "invalid_value",
          "constraints": {
            "min": 18,
            "max": 120
          }
        }
      ]
    },
    "path": "/companies",
    "timestamp": "2023-12-01T10:00:00.000Z",
    "requestId": "req_123456789"
  }
}
{
  "error": {
    "code": "AUTHENTICATION_ERROR",
    "message": "Authentication required to access this resource",
    "status": 401,
    "details": {
      "reason": "Invalid API key"
    },
    "path": "/companies/me",
    "timestamp": "2023-12-01T10:00:00.000Z",
    "requestId": "req_123456789"
  }
}
{
  "error": {
    "code": "AUTHORIZATION_ERROR",
    "message": "You need 'admin' permissions to access this resource",
    "status": 403,
    "path": "/companies",
    "timestamp": "2023-12-01T10:00:00.000Z",
    "requestId": "req_123456789"
  }
}
{
  "error": {
    "code": "INTERNAL_SERVER_ERROR",
    "message": "An unexpected error occurred",
    "status": 500,
    "path": "/companies",
    "timestamp": "2023-12-01T10:00:00.000Z",
    "requestId": "req_123456789"
  }
}

Authorizations

x-api-key
string
header
required

Company API key for authentication

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:20

Number of items per page

Required range: 1 <= x <= 100
status
enum<string>

Filter by internal transfer status

Available options:
PENDING,
PROCESSING,
COMPLETED,
FAILED
created_at_from
string<date-time>

Filter internal transfers from this date (inclusive)

created_at_to
string<date-time>

Filter internal transfers to this date (inclusive)

origin_bank_account_id
string<uuid>

Filter internal transfers from a specific origin bank account ID (for organization users)

destination_bank_account_id
string<uuid>

Filter internal transfers to a specific destination bank account ID (for organization users)

request_id
string

Filter by request ID

sort
enum<string>

Sort by field

Available options:
created_at,
amount,
status

Response

Internal transfers retrieved successfully

Paginated internal transfer list response

data
object[]
required

List of internal transfers

pagination
object
required